Subject: bug#61812: 30.0.50; Eglot inlay hints "pile up"

From: Chinmay Dalal <[email-masked]>
Date: Sun, 26 Feb 2023 18:29:35 +0530

Eli Zaretskii <[email-masked]> writes:

>> From: Chinmay Dalal <[email-masked]>
>> Date: Sun, 26 Feb 2023 17:54:08 +0530
>> 
>> Eglot inlay hints pile up when scrolling a large file.
>
> What you show is not "piling up", it's "duplicating".

Ok

> Do all the duplicates appear together, or does the display first show
> one hint, then two, then 3, etc.?

The latter - if I visit a region again, some of the hints may be
duplicated, and it increases as I move around

> And if the latter, what exactly
> causes the duplicates?  You say "scroll around", but how do you
> "scroll around" (with what commands), and can you try figuring out
> what exactly triggers the appearance of the duplicates?

"Scroll around" was inaccurate, apologies. I meant using C-n/C-p to move
the cursor.